POST a Group Profile Document

To upload a new Document to a Group Profile, POST a valid image or PDF file as the content:

headers = {"Accept": "application/json", "x-api-key": "YOUR-API-KEY"}
group_profile_pk = "<GROUP PROFILE ID>"
with open("./filename.pdf", "rb") as f:
    data = {"title": "Insurance", "kind": "malpractice_coi"}
    files = [("content", f)]
    response = requests.post(
        f"https://api.medallion.co/p/api/v1/group-profiles/{group_profile_pk}/documents/",
        headers=headers,
        data=data,
        files=files,
    )
    response.raise_for_status()
    
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
Body Params
string
required
length ≤ 254
string
enum
required
  • malpractice_coi - Liability Insurance
  • w9_form - W9 Form
  • irs_letter - IRS letter
  • business_license - Business License
  • fictitious_business_name_statement - Fictitious Business Name Statement
  • voided_check - Voided check
  • bank_letter - Bank Letter
  • other - Other
  • articles_of_incorporation - Proof of Incorporation
  • org_chart - Organization Chart
  • medicaid_notices_of_approval - Medicaid PE Notices of Approval
  • medicare_notices_of_approval - Medicare PE Notices of Approval
  • completion_document - Proof of Enrollment
  • etin - Electronic Transmitter Identification Number (ETIN)
file
required
Headers
string
enum
Defaults to multipart/form-data

Generated from available request content types

Allowed:
Responses

400

Bad request

401

Unauthorized

404

Group Profile not found

415

Unsupported media type; only valid images & PDFs are supported

429

Too many requests; try again in a few seconds

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json